<?php
require_once 'inc/cached.php';
cachedTOP(86400);

require_once 'inc/mysqli.php';
include 'inc/functions.php';

if($_SERVER['REQUEST_URI'] == '/artist-all.php'.(isset($_GET['page']) ? '?page='.$_GET['page'] : null)){
	header("HTTP/1.1 301 Moved Permanently"); 
	header('Location: /artist-all/'.(isset($_GET['page']) ? $_GET['page'].'/' : null));
	exit;
}

if($_GET['page'] == 1){
	header("HTTP/1.1 301 Moved Permanently"); 
	header('Location: /artist-all/');
	exit;
}

$title = 'Скачать музыкальные новинки популяных исполнителей бесплатно на телефон в формате mp3'.(!empty($_GET['page']) ? ' | Страница '.$_GET['page'] : null);
$desc = 'Скачать музыкиу популярных исполнителей 2018 бесплатно и без регистрации в хорошем качестве или прослушать онлайн без регистрации';
$key = 'Популярные исполнители, музыкальные новинки, музыка на телефон, mp3 формате, хорошее качество, бесплатно, без регистрации, песни, новинки';

if($_GET['page'] >= 2){
	$canonical = 'artist-all/';
}

include 'inc/head.php';
?>

<div class="left-menu">
<div class="blok-speedbar">  
<span id="speedbar">
  <span itemscope itemtype="https://www.schema.org/SiteNavigationElement">
	<span itemprop="name"><a href="/" itemprop="url">Главная</a></span> 
	  » Все исполнители<?=(!empty($_GET['page']) ? ' | Страница '.intval($_GET['page']) : null)?>
	</span>
</span>
</div>
  <div class="main-block">
    <div class="block-title"><h1>Популярные исполнители<?=(!empty($_GET['page']) ? ' | Страница '.$_GET['page'] : null)?></h1><img src="<?=URL?>style/img/title.png" alt="Популярные исполнители"></div>

			<?php 
				$num = set('pages', $db);  
				$posts  = $db->query("SELECT `id` FROM `files` GROUP BY `artist`");
				$total = intval(($db->numRows($posts) - 1) / $num) + 1; 
				$page = (isset($_GET['page']) ? intval($_GET['page']) : 1);
				if(empty($page) or $page < 0) $page = 1;  
				if($page > $total) $page = $total; 
				$start = $page * $num - $num;
				total_page($_GET['page'],$total,'/artist-all/'.$total.'/');
				
				$data = $db->getAll("SELECT `artist`,`id`, COUNT(*) `count` FROM `files` GROUP BY `artist` ORDER BY `count` DESC LIMIT ?i, ?i", $start, $num);
				foreach($data as $file){
					
					if(file_exists('style/artist/'.md5($file['artist']).'_small.png')){
						$cover = URL.'style/artist/'.md5($file['artist']).'_small.png';
					}elseif(file_exists('style/artist/'.md5($file['artist']).'_small.jpg')){
						$cover = URL.'style/artist/'.md5($file['artist']).'_small.jpg';
					}else{
						$cover = URL.'style/img/no-cover_small.png';
					}
					
					echo '<a href="/artist/'.$file['id'].'/'.rus2eng(str2url($file['artist'])).'/" class="artist-all" style="border-bottom: 1px #f6f6f6 solid;padding: 7px 10px; text-decoration: none;" title="'.$file['artist'].'">
					<img style="margin: 0 5px 0 0;border-radius:5px" src="'.$cover.'">'.$file['artist'].' <span class="artist-right-count">'.$file['count'].' '.plural_form($file['count'], array('песня', 'песни', 'песен')).'</span></a>';
				}
			?>
<?=page('/artist-all/',$total,$page);?>
</div>
<div style="clear: both;"></div>
</div>

<?php include 'inc/right.php'; ?>
<?php include 'inc/foot.php'; ?>